Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.addon.pdf3d.PDF3DAnnotInstance Class Reference
Inheritance diagram for foxit.addon.pdf3d.PDF3DAnnotInstance:

## Public Types
enum | PDF3DController { PDF3DController.e_ControllerRotate = 0, PDF3DController.e_ControllerSpin = 1, PDF3DController.e_ControllerPan = 2, PDF3DController.e_ControllerZoom = 3, PDF3DController.e_ControllerWalk = 4, PDF3DController.e_ControllerFly = 5 }
| Enumeration for the 3D controller tool. More...
enum | PDF3DRenderMode { PDF3DRenderMode.e_RenderModeSolid = 1, PDF3DRenderMode.e_RenderModeSolidWireframe = 2, PDF3DRenderMode.e_RenderModeSolidOutline = 3, PDF3DRenderMode.e_RenderModeTransparent = 4, PDF3DRenderMode.e_RenderModeTransparentWireframe = 5, PDF3DRenderMode.e_RenderModeBoundingBox = 6, PDF3DRenderMode.e_RenderModeTransparentBoundingBox = 7, PDF3DRenderMode.e_RenderModeTransparentBoundingBoxOutline = 8, PDF3DRenderMode.e_RenderModeWireframe = 9, PDF3DRenderMode.e_RenderModeShadedWireframe = 10, PDF3DRenderMode.e_RenderModeHiddenWireframe = 11, PDF3DRenderMode.e_RenderModeIllustration = 12, PDF3DRenderMode.e_RenderModeShadedIllustration = 13, PDF3DRenderMode.e_RenderModeVertices = 14, PDF3DRenderMode.e_RenderModeShadedVertices = 15 }
| Enumeration for the 3D render mode. More...

## Public Member Functions
| PDF3DAnnotInstance ()
| Constructor.
| PDF3DAnnotInstance (PDF3DAnnotInstance other)
| Constructor, with another 3d annot instance object. More...
global::System.IntPtr | ActivateCanvas (global::System.IntPtr screen_canvas_parent)
| Activate canvas. More...
void | ApplyPresetView (PDF3DAnnotViewData view_data)
| Apply the preset view . More...
PDF3DAnnotViewDataArray | GetPresetViewList ()
| Get the list of all preset views in the 3D model. More...
ModelNode | GetRootNode ()
| Get the root node of the 3D model tree structure. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | OnLButtonDown (int flag, PointF point)
| Call this function when pressing the left button. More...
void | OnLButtonUp (int flag, PointF point)
| Call this function when releasing the left button. More...
void | OnMouseMove (int flag, PointF point)
| Call this function when moving the mouse. More...
void | OnMouseWheel (int flag, int delta, PointF point)
| Call this function when scrolling the mouse wheel. More...
void | OnRButtonDown (int flag, PointF point)
| Call this function when pressing the right button. More...
void | OnRButtonUp (int flag, PointF point)
| Call this function when releasing the right button. More...
void | ResetDefaultView ()
| Reset the view back to the default view, the 3D model will be reset to its default state. More...
void | SetController (PDF3DAnnotInstance.PDF3DController tool_tag)
| Set controller. More...
void | SetRenderMode (PDF3DAnnotInstance.PDF3DRenderMode render_mode)
| Set model render mode. More...
void | UpdateCanvas (RectI rect)
| Update the canvas. More...

## Detailed Description

This class represents a 3D annotation instance.

See also
  PDF3DContext

## Member Enumeration Documentation

## ◆ PDF3DController

enum foxit.addon.pdf3d.PDF3DAnnotInstance.PDF3DController
| strong

Enumeration for the 3D controller tool.

Values of this enumeration should be used alone.

Enumerator
e_ControllerRotate | rotate.
e_ControllerSpin | spin.
e_ControllerPan | pan.
e_ControllerZoom | zoom.
e_ControllerWalk | walk.
e_ControllerFly | fly.

## ◆ PDF3DRenderMode

enum foxit.addon.pdf3d.PDF3DAnnotInstance.PDF3DRenderMode
| strong

Enumeration for the 3D render mode.

Values of this enumeration should be used alone.

Enumerator
e_RenderModeSolid | Solid.
e_RenderModeSolidWireframe | Solid wireframe.
e_RenderModeSolidOutline | Solid outline.
e_RenderModeTransparent | Transparent.
e_RenderModeTransparentWireframe | Transparent wireframe.
e_RenderModeBoundingBox | Bounding box.
e_RenderModeTransparentBoundingBox | Transparent bounding box.
e_RenderModeTransparentBoundingBoxOutline | Transparent bounding box outline.
e_RenderModeWireframe | Wireframe.
e_RenderModeShadedWireframe | Shaded wireframe.
e_RenderModeHiddenWireframe | Hidden wireframe.
e_RenderModeIllustration | Illustration.
e_RenderModeShadedIllustration | Shaded illustration.
e_RenderModeVertices | Vertices.
e_RenderModeShadedVertices | Shaded vertices.

## Constructor & Destructor Documentation

## ◆ PDF3DAnnotInstance()

foxit.addon.pdf3d.PDF3DAnnotInstance.PDF3DAnnotInstance | ( | PDF3DAnnotInstance | other | ) |
| inline

Constructor, with another 3d annot instance object.

Parameters

  [in] | other | Another 3d annot instance object.

## Member Function Documentation

## ◆ ActivateCanvas()

global.System.IntPtr foxit.addon.pdf3d.PDF3DAnnotInstance.ActivateCanvas | ( | global::System.IntPtr | screen_canvas_parent | ) |
| inline

Activate canvas.

Parameters

  [in] | screen_canvas_parent | The parent window handle used to activate the canvas.

Returns
  The canvas handle.

## ◆ ApplyPresetView()

void foxit.addon.pdf3d.PDF3DAnnotInstance.ApplyPresetView | ( | PDF3DAnnotViewData | view_data | ) |
| inline

Apply the preset view .

Ensure the function PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | view_data | The data of the view to be set. It should be one of the data array returned by function .

Returns
  None.

## ◆ GetPresetViewList()

PDF3DAnnotViewDataArray foxit.addon.pdf3d.PDF3DAnnotInstance.GetPresetViewList | ( |  | ) |
| inline

Get the list of all preset views in the 3D model.

Ensure the function PDF3DAnnotInstance.ActivateCanvas has been called.

Returns
  An array of view data.

## ◆ GetRootNode()

ModelNode foxit.addon.pdf3d.PDF3DAnnotInstance.GetRootNode | ( |  | ) |
| inline

Get the root node of the 3D model tree structure.

Ensure the function PDF3DAnnotInstance.ActivateCanvas has been called.

Returns
  The root node of the 3D model tree structure.

## ◆ IsEmpty()

bool foxit.addon.pdf3d.PDF3DAnnotInstance.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ OnLButtonDown()

void foxit.addon.pdf3d.PDF3DAnnotInstance.OnLButtonDown | ( | int | flag,
|  | PointF | point
| ) |  |
| inline

Call this function when pressing the left button.

Ensure the function PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ OnLButtonUp()

void foxit.addon.pdf3d.PDF3DAnnotInstance.OnLButtonUp | ( | int | flag,
|  | PointF | point
| ) |  |
| inline

Call this function when releasing the left button.

Ensure the function PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ OnMouseMove()

void foxit.addon.pdf3d.PDF3DAnnotInstance.OnMouseMove | ( | int | flag,
|  | PointF | point
| ) |  |
| inline

Call this function when moving the mouse.

Ensure the function PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ OnMouseWheel()

void foxit.addon.pdf3d.PDF3DAnnotInstance.OnMouseWheel | ( | int | flag,
|  | int | delta,
|  | PointF | point
| ) |  |
| inline

Call this function when scrolling the mouse wheel.

Ensure the function PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | delta | The delta of the mouse wheel.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ OnRButtonDown()

void foxit.addon.pdf3d.PDF3DAnnotInstance.OnRButtonDown | ( | int | flag,
|  | PointF | point
| ) |  |
| inline

Call this function when pressing the right button.

Ensure the function PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ OnRButtonUp()

void foxit.addon.pdf3d.PDF3DAnnotInstance.OnRButtonUp | ( | int | flag,
|  | PointF | point
| ) |  |
| inline

Call this function when releasing the right button.

Ensure the function PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | flag | The flag of the mouse event.
  [in] | point | The point of the mouse.

Returns
  None.

## ◆ ResetDefaultView()

void foxit.addon.pdf3d.PDF3DAnnotInstance.ResetDefaultView | ( |  | ) |
| inline

Reset the view back to the default view, the 3D model will be reset to its default state.

Ensure the function PDF3DAnnotInstance.ActivateCanvas has been called.

Returns
  None.

## ◆ SetController()

void foxit.addon.pdf3d.PDF3DAnnotInstance.SetController | ( | PDF3DAnnotInstance.PDF3DController | tool_tag | ) |
| inline

Set controller.

Ensure the function PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | tool_tag | The controller tool to be set. Please refer to values starting from foxit.addon.pdf3d.PDF3DAnnotInstance.PDF3DController.e_ControllerRotate and this should be one of these values. Default value: foxit.addon.pdf3d.PDF3DAnnotInstance.PDF3DController.e_ControllerRotate .

Returns
  None.

## ◆ SetRenderMode()

void foxit.addon.pdf3d.PDF3DAnnotInstance.SetRenderMode | ( | PDF3DAnnotInstance.PDF3DRenderMode | render_mode | ) |
| inline

Set model render mode.

Ensure the function PDF3DAnnotInstance.ActivateCanvas has been called.

Parameters

  [in] | render_mode | The render mode to be set. Please refer to values starting from foxit.addon.pdf3d.PDF3DAnnotInstance.PDF3DRenderMode.e_RenderModeSolid and this should be one of these values. Default value: foxit.addon.pdf3d.PDF3DAnnotInstance.PDF3DRenderMode.e_RenderModeSolidOutline .

Returns
  None.

## ◆ UpdateCanvas()

void foxit.addon.pdf3d.PDF3DAnnotInstance.UpdateCanvas | ( | RectI | rect | ) |
| inline

Update the canvas.

Ensure the function PDF3DAnnotInstance.ActivateCanvas has been called. Call this function when the canvas size and position need to be updated.

Parameters

  [in] | rect | The new area of canvas in device coordinate system.

Returns
  None.